## fstl 0.9.2

=== debian/changelog ===
fstl (0.9.2-1) unstable; urgency=medium

  * Initial release (Closes: #819313)

 -- Jakob Haufe <sur5r@sur5r.net>  Sun, 27 Mar 2016 22:00:00 +0200
