=== debian/control ===
Source: fstl
Section: graphics
Priority: optional
Maintainer: Jakob Haufe <sur5r@sur5r.net>
Build-Depends: debhelper (>=9), qtbase5-dev, qtchooser, libqt5opengl5-dev
Standards-Version: 3.9.7
Homepage: http://www.mattkeeter.com/projects/fstl/
Vcs-Git: https://git.sur5r.net/fstl
Vcs-Browser: https://git.sur5r.net/?p=fstl;a=summary

Package: fstl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libgl1-mesa-dri
Description: Viewer for .stl files
 fstl is a viewer for .stl files commonly used in stereolithography,
 rapid prototyping, 3D printing and CAM.
 .
 It is optimized to quickly load and render very high-polygon models.
