=== debian/rules ===
#!/usr/bin/make -f
export QT_SELECT=qt5

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh "$@" --sourcedirectory=qt
