## fstl 0.9.3

=== debian/changelog ===
fstl (0.9.3-1+rb2) UNRELEASED; urgency=medium

  * update

 -- Jakob Haufe <sur5r@sur5r.net>  Fri, 22 Jan 2021 11:18:59 +0800

fstl (0.9.3-1) unstable; urgency=medium

  * New upstream version
  * Bump Standards-Version (no changes needed)
  * Switch to DH 11

 -- Jakob Haufe <sur5r@sur5r.net>  Sun, 12 Aug 2018 20:55:25 +0000
