=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: graphics
 Priority: optional
 Maintainer: Jakob Haufe <sur5r@sur5r.net>
-Build-Depends: debhelper (>=9), qtbase5-dev, qtchooser, libqt5opengl5-dev
-Standards-Version: 3.9.7
+Build-Depends: debhelper (>=11), qtbase5-dev, qtchooser, libqt5opengl5-dev
+Standards-Version: 4.2.0
 Homepage: http://www.mattkeeter.com/projects/fstl/
 Vcs-Git: https://git.sur5r.net/fstl
 Vcs-Browser: https://git.sur5r.net/?p=fstl;a=summary
@@ -16,4 +16,3 @@
  rapid prototyping, 3D printing and CAM.
  .
  It is optimized to quickly load and render very high-polygon models.
-
