## fstl 0.9.4

=== debian/changelog ===
fstl (0.9.4-1) unstable; urgency=medium

  * New upstream version
  * Bump Standards-Version (no changes needed)
  * Switch to DH 13

 -- Jakob Haufe <sur5r@debian.org>  Mon, 15 Feb 2021 20:04:49 +0000
