=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: fstl
 Section: graphics
 Priority: optional
-Maintainer: Jakob Haufe <sur5r@sur5r.net>
-Build-Depends: debhelper (>=11), qtbase5-dev, qtchooser, libqt5opengl5-dev
-Standards-Version: 4.2.0
+Maintainer: Jakob Haufe <sur5r@debian.org>
+Build-Depends: debhelper-compat (= 13), qtbase5-dev, qtchooser, libqt5opengl5-dev, cmake
+Standards-Version: 4.5.1
 Homepage: http://www.mattkeeter.com/projects/fstl/
 Vcs-Git: https://git.sur5r.net/fstl
 Vcs-Browser: https://git.sur5r.net/?p=fstl;a=summary
+Rules-Requires-Root: no
 
 Package: fstl
 Architecture: any
