=== debian/rules ===
--- 
+++ 
@@ -6,4 +6,4 @@
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 %:
-	dh "$@" --sourcedirectory=qt
+	dh "$@"
