=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/fstl-$1\.tar\.gz/ https://github.com/mkeeter/fstl/releases .*/v?(\d\S*)\.tar\.gz
