=== debian/changelog ===
fstl (0.10.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.

  [ Jakob Haufe ]
  * Update watchfile to use Github API
  * Bump Standards-Version
  * Update d/copyright

 -- Jakob Haufe <sur5r@debian.org>  Tue, 21 Feb 2023 16:53:01 +0100

fstl (0.10.0-1) unstable; urgency=medium

  * New upstream version 0.10.0
  * Point Vcs-* to salsa
  * Drop -Wl,--as-needed
  * Update watchfile
  * Update copyright dates
  * Bump Standards-Version
  * Fix FTBFS on armhf

 -- Jakob Haufe <sur5r@debian.org>  Wed, 29 Jun 2022 20:59:34 +0000
