=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Jakob Haufe <sur5r@debian.org>
 Build-Depends: debhelper-compat (= 13), qtbase5-dev, qtchooser, libqt5opengl5-dev, cmake
-Standards-Version: 4.5.1
-Homepage: http://www.mattkeeter.com/projects/fstl/
-Vcs-Git: https://git.sur5r.net/fstl
-Vcs-Browser: https://git.sur5r.net/?p=fstl;a=summary
+Standards-Version: 4.6.2
+Homepage: https://www.mattkeeter.com/projects/fstl/
+Vcs-Git: https://salsa.debian.org/sur5r/fstl.git
+Vcs-Browser: https://salsa.debian.org/sur5r/fstl
 Rules-Requires-Root: no
 
 Package: fstl
