=== debian/watch ===
version=4
opts=searchmode=plain,filenamemangle=s/$/.tar.gz/ \
 https://api.github.com/repos/fstl-app/@PACKAGE@/releases \
 https://api.github.com/repos/fstl-app/@PACKAGE@/tarball/v@ANY_VERSION@
