## fstl 0.11.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #### Fast .stl viewer #####
-# Original Project Author: Matt Keeter Copyright 2014 -2017
-# Author: Paul Tsouchlos Copyright 2017
+# Original Project Author: Matt Keeter Copyright 2014-2024
+# Author: Paul Tsouchlos Copyright 2017-2024
 
 cmake_minimum_required(VERSION 3.3)
 
@@ -13,7 +13,7 @@
 
 # Set the version number
 set (FSTL_VERSION_MAJOR "0")
-set (FSTL_VERSION_MINOR "10")
+set (FSTL_VERSION_MINOR "11")
 set (FSTL_VERSION_PATCH "0")
 set (PROJECT_VERSION "${FSTL_VERSION_MAJOR}.${FSTL_VERSION_MINOR}.${FSTL_VERSION_PATCH}")
 
@@ -32,7 +32,8 @@
 src/loader.cpp
 src/main.cpp
 src/mesh.cpp
-src/window.cpp)
+src/window.cpp
+src/shaderlightprefs.cpp)
 
 #set project headers. 
 set(Project_Headers src/app.h
@@ -42,7 +43,8 @@
 src/glmesh.h
 src/loader.h
 src/mesh.h
-src/window.h)
+src/window.h
+src/shaderlightprefs.h)
 
 #set project resources and icon resource
 set(Project_Resources qt/qt.qrc gl/gl.qrc)
