=== debian/changelog ===
fstl (0.11.0-1) unstable; urgency=medium

  * New upstream version 0.11.0

 -- Jakob Haufe <sur5r@debian.org>  Mon, 07 Apr 2025 16:47:51 +0200
