=== debian/control ===
Source: fstl
Section: graphics
Priority: optional
Maintainer: Jakob Haufe <sur5r@debian.org>
Build-Depends: debhelper-compat (= 13),
Build-Depends-Arch: cmake,
                    libqt5opengl5-dev,
                    qtbase5-dev,
                    qtchooser,
Standards-Version: 4.7.2
Homepage: https://www.mattkeeter.com/projects/fstl/
Vcs-Git: https://salsa.debian.org/sur5r/fstl.git
Vcs-Browser: https://salsa.debian.org/sur5r/fstl
Rules-Requires-Root: no

Package: fstl
Architecture: any
Depends: libgl1-mesa-dri,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Viewer for .stl files
 fstl is a viewer for .stl files commonly used in stereolithography,
 rapid prototyping, 3D printing and CAM.
 .
 It is optimized to quickly load and render very high-polygon models.
