## fstl 0.11.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,19 +2,55 @@
 # Original Project Author: Matt Keeter Copyright 2014-2024
 # Author: Paul Tsouchlos Copyright 2017-2024
 
-cmake_minimum_required(VERSION 3.3)
+cmake_minimum_required(VERSION 3.10)
 
 project(fstl)
 
-# Setting -std=c++11
-set(CMAKE_CXX_STANDARD 11)
-# Setting standard to required, as requisted by DeveloperPaul123 on github
+# Setting -std=c++14
+set(CMAKE_CXX_STANDARD 14)
 set(CXX_STANDARD_REQUIRED ON)
+
+option(FSTL_CHECK_FORMAT "Check source code formatting with clang-format" OFF)
+if(FSTL_CHECK_FORMAT)
+    find_program(CLANG_FORMAT_EXE NAMES clang-format)
+    if(NOT CLANG_FORMAT_EXE)
+        message(FATAL_ERROR "Could not find clang-format executable!")
+    endif()
+
+    file(GLOB_RECURSE ALL_SOURCE_FILES CONFIGURE_DEPENDS
+        src/*.h
+        src/*.cpp
+        qt/*.h
+        qt/*.cpp
+        gl/*.h
+        gl/*.cpp
+        exe/*.h
+        exe/*.cpp
+    )
+
+    add_custom_target(check-format
+        COMMAND ${CLANG_FORMAT_EXE}
+            --Werror
+            --style=file
+            --dry-run
+            ${ALL_SOURCE_FILES}
+        WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
+        COMMENT "Checking source code formatting"
+        VERBATIM)
+    add_custom_target(fix-format
+        COMMAND ${CLANG_FORMAT_EXE}
+            --style=file
+            -i
+            ${ALL_SOURCE_FILES}
+        WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
+        COMMENT "Fixing source code formatting"
+        VERBATIM)
+endif()
 
 # Set the version number
 set (FSTL_VERSION_MAJOR "0")
 set (FSTL_VERSION_MINOR "11")
-set (FSTL_VERSION_PATCH "0")
+set (FSTL_VERSION_PATCH "1")
 set (PROJECT_VERSION "${FSTL_VERSION_MAJOR}.${FSTL_VERSION_MINOR}.${FSTL_VERSION_PATCH}")
 
 message(STATUS "Version: ${PROJECT_VERSION}")
@@ -54,7 +90,7 @@
 set(OpenGL_GL_PREFERENCE GLVND)
 
 #find required packages. 
-find_package(Qt5 5.14 REQUIRED COMPONENTS Core Gui Widgets OpenGL)
+find_package(Qt5 REQUIRED COMPONENTS Core Gui Widgets OpenGL)
 find_package(OpenGL REQUIRED)
 find_package(Threads REQUIRED)
