=== debian/changelog ===
fstl (0.11.1-1) unstable; urgency=medium

  * New upstream version 0.11.1 (Closes: #1112938)

 -- Jakob Haufe <sur5r@debian.org>  Mon, 29 Sep 2025 11:42:51 +0200
